# Uses of Interface
java.awt.im.spi.InputMethodContext

Packages that use InputMethodContext
Package
Description
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.

## Uses of InputMethodContext in java.awt.im.spi

Methods in java.awt.im.spi with parameters of type InputMethodContext
Modifier and Type
Method
Description
`void`
InputMethod.`setInputMethodContext(InputMethodContext context)`
Sets the input method context, which is used to dispatch input method events to the client component and to request information from the client component.